import { scheduleJob } from "node-schedule";
import manageRobot from "../controllers/manageRobot";
import syncPipLine from "./syncPipLine";

const initSchedule = async () => {
  // 每天十点钟发送CI报告
  scheduleJob("0 10 * * *", manageRobot.sendCIReportByCron);
  // 每15分钟同步一次CI数据
  scheduleJob("*/15 * * * *", syncPipLine);
  // 立即同步一次
  syncPipLine();
}

export default initSchedule;